Metafunction
Cargo
Type of additional data stored in an object.
Cargo<T>::Type
Include Headers
seqan/basic.h, seqan/graph_types.h
Parameters

T | Type for which the cargo tyoe is determined. Types: EdgeStump, Graph, IntervalAndCargo, IntervalTree, IntervalTreeNode, PointAndCargo

Remarks
The definition of Cargo allows the addition of user specific data to existing data structures.
Return Values

Type | Cargo of T.

Functions

addChild | Adds a new child vertex to a parent vertex. Optionally a cargo can be attached to the parent-child edge.
addEdge | Adds a new edge to the graph, either with or without cargo.

Examples
Cargo<Graph<Directed<int> > >::Type c; //c has type int
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50